API reference / workspaces
Update workspace
PATCH
/v1/workspaces/{id}Permission workspaces:writeRename or update settings (timezone, posting schedule) for a workspace.
Headers
AuthorizationstringREQUIREDBearer followed by your API key.
Path parameters
idstringREQUIREDBody parameters
namestringtimezonestringErrors
401
invalid_api_keyMissing, invalid, or revoked API key.403
insufficient_scopeInsufficient scope, insufficient plan tier, or unauthorized workspace.404
not_foundResource was not found.curl -X PATCH https://api.foxli.app/v1/workspaces/ws_brand_primary \ -H "Authorization: Bearer $FOXLI_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "name": "Acme Media Global", "timezone": "America/New_York" }'
Response200 OK
{
"success": true
}